"""Customize this file to change the default client etc.

(In general, it is probably be better to make local operation the
default and to require something like an RCSSERVER environment
variable to enable remote operation.)

"""

import string
import os

# These defaults don't belong here -- they should be taken from the
# environment or from a hidden file in the current directory

HOST = 'localhost'
PORT = 4128
VERBOSE = 1
LOCAL = 0

if os.path.exists('.remote'):
    f = open('.remote')
    line = f.readline()
    p = string.find(line, ':')
    if p < 0: HOST = line[:-1]
    else:
        HOST = line[:p]
        PORT = line[p+1:-1]

import client


class WDProxyClient(client.SecureClient):
	
	def __init__(self, address, verbose = client.VERBOSE):
		client.SecureClient.__init__(self, address, verbose)


def openwdclient(opts = []):
	"open an RCSProxy client based on a list of options returned by getopt"
	import WDProxy
	host = HOST
	port = PORT
	verbose = VERBOSE
	local = LOCAL
	for o, a in opts:
		if o == '-h':
			host = a
			if ':' in host:
				i = string.find(host, ':')
				host, p = host[:i], host[i+1:]
				if p:
					port = string.atoi(p)
		if o == '-p':
			port = string.atoi(a)
		if o == '-d':
			directory = a
		if o == '-v':
			verbose = verbose + 1
		if o == '-q':
			verbose = 0
		if o == '-L':
			local = 1
	if local:
		import WDProxy
		x = WDProxy.WDProxyLocal()
	else:
		address = (host, port)
		x = WDProxyClient(address, verbose)
	return x
